[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.UpdateState

UpdateState - brings the state up oto date, implementing any pending changes, and rendering non-valid if InvalidateOnChange is True

## Declaration

Source position: buttons.pp line 314

`protected procedure TCustomSpeedButton.UpdateState(`
`InvalidateOnChange: Boolean`
`); virtual;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.